import * as $dara from '@darabonba/typescript';
import { GetAuthSummaryResponseBody } from "./GetAuthSummaryResponseBody";
export declare class GetAuthSummaryResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetAuthSummaryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
